Tracking API
The Tracking API provides the opportunity to track shipments by reference, package or shipment number. It is an easy way to get shipment details and events and make them available for customers. The information available in this API is the same that is publicly available from the Tracking website.
Authentication
To integrate with the Bring APIs, you will need a Mybring user account with an API key. Information about prerequisites and authentication headers can be found on the general API Getting Started page.
Formats
REST XML/JSON/JSONP over HTTP. We follow the JSON API specification with one
exception: we allow media type to be specified as application/json
instead of application/vnd.api+json.
Versioning
Latest Tracking API version: v2
We encourage you to always use the latest version of our API. We keep the previous version for some time so that you will get enough time to convert your application. This API supports versioning by two means.
Select version by request-header
Use the normal URL but add the following request-header:
| Header | Example |
|---|---|
api-version |
2 |
Example request
curl -H "api-version: 2" https://api.bring.com/tracking/api/tracking.json?q=TRACKINGNUMBER
Select version by URL
Use the normal URL, but add {v2} to the URL. Example:
| Application | URL example |
|---|---|
| Tracking | https://api.bring.com/tracking/api/v2/tracking.json?q=TRACKINGNUMBER |
Example request
curl -v https://api.bring.com/tracking/api/v2/tracking.json?q=TRACKINGNUMBER
Events Description
A parcel has a number of events connected to it during its travel. Here are a list of current event statuses that can be returned.
| Event | Description |
|---|---|
ATTEMPTED_DELIVERY |
The package has been attempted delivered at the door. Depending on the service it will be tried again or sent to closest pickup point. |
CUSTOMS |
Package is in customs clearance. |
COLLECTED |
The parcel has been collected at pickup address. |
DELIVERED |
Package has been delivered. |
DELIVERED_SENDER |
Package has been returned to the sender |
DELIVERY_CANCELLED |
Home delivery has been cancelled by the customer. |
DELIVERY_CHANGED |
Date for Home delivery has been changed by customer. |
DELIVERY_ORDERED |
Home delivery has been ordered |
DEVIATION |
Deviation in production. Something wrong has happened and there is a probability for delay. |
HANDED_IN |
Package has been handed in to Bring. |
INTERNATIONAL |
Package has been sent from origin country or arrived at destination country. |
IN_TRANSIT |
Package is in transit. |
NOTIFICATION_SENT |
Notification for this package has been sent by sms, push and/or mail. This can be informational notifications and action notification like pickup notice. |
PRE_NOTIFIED |
EDI message for the package has been received by Bring. |
READY_FOR_PICKUP |
Package has arrived at pickup point. |
RETURN |
The package is on its way back to the sender. |
TRANSPORT_TO_RECIPIENT |
Package has been loaded for delivery to the recipient. |
TERMINAL |
The package is now registered/arrived at inbound/outbound storage terminal |
UNKNOWN |
Represents unknown / undefined events |
Verification
You can verify that your request was used correctly by certifying that the response contains an element based on the request type:
| URI request | Response type | Example |
|---|---|---|
| tracking.json | application/json; charset=utf-8 |
{"apiVersion": "2"} |
| tracking.xml | application/xml;charset=utf-8 |
<ApiVersion>2</ApiVersion> |
Language Support
The Tracking API supports responses in multiple languages. You can specify the desired language using the lang query parameter in your request.
Supported Languages and Codes
| Language | Code |
|---|---|
| English | en |
| Norwegian | no |
| Swedish | sv |
| Danish | da |
Example Request
To receive the response in Norwegian, use the following format:
curl -v https://api.bring.com/tracking/api/v2/tracking.json?q=TRACKINGNUMBER&lang=no
Endpoints
- Base URL
https://api.bring.com/tracking- OpenAPI document
- https://api.bring.com/tracking/api-docs
| Usage | Method | Endpoint |
|---|---|---|
| Get information about a shipment | GET |
/api/{version}/tracking.{extension}
|
Get information about a shipment
- GET
-
https://api.bring.com/tracking/api/{version}/tracking.{extension}
Get information about an existing shipment based on a tracking number, shipment number or reference.
Request
header parameters
-
X-Mybring-API-Uid -
- Description
- Mybring login ID
- Type
- string
- Example
john.doe@example.com
-
X-Mybring-API-Key -
- Description
- Your user's API key
- Type
- string
- Example
1234abc-abcd-1234-5678-abcd1234abcd
-
X-Bring-Client-URL -
- Description
- A URL identifying where you're using the APIs
- Type
- string
- Example
https://example.com/
-
api-version -
- Type
- string
query parameters
-
qRequired -
- Description
- A query parameter where you enter the tracking number or reference string to be fetched. Note that our examples here differ from the norm by being all characters, usually a Posten/Bring generated tracking number is all digits.
- Type
- string
- Examples
-
- Package delivered to customer
q=TESTPACKAGEDELIVERED- Package loaded for delivery
q=TESTPACKAGELOADEDFORDELIVERY- Unreceived package, with notification regarding EDI
q=TESTPACKAGEEDI- Waiting at Pickup Point
q=TESTPACKAGEATPICKUPPOINT
-
extraInfo -
- Type
- string
- Default
false
-
lang -
- Type
- string
path parameters
-
versionRequired -
- Type
- string
-
extensionRequired -
- Type
- string
Responses
200 OK
Schema
-
apiVersionRequired - string
-
consignmentId - string
-
contractPricePackageCount - string
-
currencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
isPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
numberOfConsignmentItems - integer <int32>
- array of objects
- array of objects
-
amountRequired - string
-
currencyCodeRequired - string
-
descriptionRequired - string
-
idRequired - string
-
longDescription - string
-
alternateEstimatedDates- array of strings
-
- string
-
-
brandRequired - string
-
contractPrice - string
-
currencyCode - string
-
dateOfEstimatedDelivery - string
-
dateOfReturn - string
- array of objects
-
text - string
-
type - string
-
url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
etaMissingReason - string
-
etaType - string
- array of objects
-
cityRequired - string
-
consignmentEvent - boolean
-
countryRequired - string
-
countryCodeRequired - string
-
dateIso - string
-
descriptionRequired - string
-
displayDateRequired - string
-
displayTime - string
-
gpsMapUrl - string
-
gpsXCoordinate - string
-
gpsYCoordinate - string
imagesRequired- array of strings
-
- string
-
-
insignificant - boolean
-
lmCauseCode - string
-
lmEventCode - string
-
lmMeasureCode - string
-
postalCodeRequired - string
-
Required
- object
-
-
linkToImage - string
-
nameRequired - string
-
-
statusRequired - string
-
unitIdRequired - string
-
unitInformationUrl - string
-
unitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
heightInCmRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
labelFreeCode - string
-
lengthInCmRequired - integer <int32>
-
listPrice - string
-
originalPickupUnitId - string
-
packageNumber - string
-
pickupCode - string
-
previousPackageNumber - string
-
productCodeRequired - string
-
productLink - string
-
productNameRequired - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientMobileNumber - string
-
recipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
requestedPackageOnRequired - string
-
userEmailRequired - string
-
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderMobileNumber - string
-
senderName - string
-
shelfNumber - string
-
sourceSystemCode - string
-
statusDescriptionRequired - string
-
thirdPartyMobileNumber - string
-
volumeInDm3Required - number <double>
-
weightInKgsRequired - number <double>
-
widthInCmRequired - integer <int32>
-
preReturnConsignmentNumber - string
-
previousConsignmentId - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientCustomerMasterNumber - string
-
recipientCustomerNumber - string
-
recipientCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientName - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderCustomerMasterNumber - string
-
senderCustomerNumber - string
-
senderCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderLogo - string
-
senderName - string
-
senderReference - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
thirdPartyCustomerName - string
-
thirdPartyCustomerNumber - string
-
totalContractPrice - string
-
totalListPrice - string
-
totalVolumeInDm3Required - number <double>
-
totalWeightInKgsRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
- object
-
-
ApiVersionRequired - string
- array
-
-
consignmentId - string attribute
-
contractPricePackageCount - string
-
CurrencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
IsPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
NumberOfConsignmentItems - integer <int32>
- array wrapped
-
- object
-
- array wrapped
-
- object
-
-
AmountRequired - string
-
CurrencyCodeRequired - string
-
DescriptionRequired - string
-
IdRequired - string
-
LongDescription - string
-
- array
-
-
AlternateEstimatedDates - string
-
-
BrandRequired - string
-
ContractPrice - string
-
CurrencyCode - string
-
EstimatedDeliveryDate - string
-
LastRetrievalDate - string
- array wrapped
-
- object
-
-
Text - string
-
Type - string
-
Url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
EtaMissingReason - string
-
EtaType - string
- array wrapped
-
- object
-
-
CityRequired - string
-
ConsignmentEvent - boolean
-
CountryRequired - string
-
CountryCodeRequired - string
-
dateIso - string
-
DescriptionRequired - string
-
OccuredAtDisplayDateRequired - string
-
displayTime - string
-
GpsMapUrl - string
-
GpsXCoordinate - string
-
GpsYCoordinate - string
-
Required
- array
-
-
images - string
-
-
Insignificant - boolean
-
lmCauseCode - string
-
LmEventCode - string
-
lmMeasureCode - string
-
PostalCodeRequired - string
-
Required
- object
-
-
LinkToImage - string
-
NameRequired - string
-
-
StatusRequired - string
-
UnitIdRequired - string
-
UnitInformationUrl - string
-
UnitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
HeightRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
LabelFreeCode - string
-
LengthRequired - integer <int32>
-
ListPrice - string
-
originalPickupUnitId - string
-
packageNumber - string attribute
-
PickupCode - string
-
previousPackageNumber - string attribute
-
ProductCodeRequired - string
-
ProductLink - string
-
ProductNameRequired - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientMobileNumber - string
-
RecipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
RequestedPackageOnRequired - string
-
UserEmailRequired - string
-
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderMobileNumber - string
-
SenderName - string
-
ShelfNumber - string
-
SourceSystemCode - string
-
StatusDescriptionRequired - string
-
ThirdPartyMobileNumber - string
-
VolumeRequired - number <double>
-
WeightRequired - number <double>
-
WidthRequired - integer <int32>
-
preReturnConsignmentNumber - string attribute
-
previousConsignmentId - string attribute
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientCustomerMasterNumber - string
-
RecipientCustomerNumber - string
-
RecipientCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientName - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderCustomerMasterNumber - string
-
SenderCustomerNumber - string
-
SenderCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderLogo - string
-
SenderName - string
-
SenderReference - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
ThirdPartyCustomerName - string
-
ThirdPartyCustomerNumber - string
-
TotalContractPrice - string
-
TotalListPrice - string
-
TotalVolumeRequired - number <double>
-
TotalWeightRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
-
-
-
ConsignmentElementType - Base class for consignment and error
-
-
400 Bad Request
Schema
-
apiVersionRequired - string
-
consignmentId - string
-
contractPricePackageCount - string
-
currencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
isPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
numberOfConsignmentItems - integer <int32>
- array of objects
- array of objects
-
amountRequired - string
-
currencyCodeRequired - string
-
descriptionRequired - string
-
idRequired - string
-
longDescription - string
-
alternateEstimatedDates- array of strings
-
- string
-
-
brandRequired - string
-
contractPrice - string
-
currencyCode - string
-
dateOfEstimatedDelivery - string
-
dateOfReturn - string
- array of objects
-
text - string
-
type - string
-
url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
etaMissingReason - string
-
etaType - string
- array of objects
-
cityRequired - string
-
consignmentEvent - boolean
-
countryRequired - string
-
countryCodeRequired - string
-
dateIso - string
-
descriptionRequired - string
-
displayDateRequired - string
-
displayTime - string
-
gpsMapUrl - string
-
gpsXCoordinate - string
-
gpsYCoordinate - string
imagesRequired- array of strings
-
- string
-
-
insignificant - boolean
-
lmCauseCode - string
-
lmEventCode - string
-
lmMeasureCode - string
-
postalCodeRequired - string
-
Required
- object
-
-
linkToImage - string
-
nameRequired - string
-
-
statusRequired - string
-
unitIdRequired - string
-
unitInformationUrl - string
-
unitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
heightInCmRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
labelFreeCode - string
-
lengthInCmRequired - integer <int32>
-
listPrice - string
-
originalPickupUnitId - string
-
packageNumber - string
-
pickupCode - string
-
previousPackageNumber - string
-
productCodeRequired - string
-
productLink - string
-
productNameRequired - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientMobileNumber - string
-
recipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
requestedPackageOnRequired - string
-
userEmailRequired - string
-
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderMobileNumber - string
-
senderName - string
-
shelfNumber - string
-
sourceSystemCode - string
-
statusDescriptionRequired - string
-
thirdPartyMobileNumber - string
-
volumeInDm3Required - number <double>
-
weightInKgsRequired - number <double>
-
widthInCmRequired - integer <int32>
-
preReturnConsignmentNumber - string
-
previousConsignmentId - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientCustomerMasterNumber - string
-
recipientCustomerNumber - string
-
recipientCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientName - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderCustomerMasterNumber - string
-
senderCustomerNumber - string
-
senderCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderLogo - string
-
senderName - string
-
senderReference - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
thirdPartyCustomerName - string
-
thirdPartyCustomerNumber - string
-
totalContractPrice - string
-
totalListPrice - string
-
totalVolumeInDm3Required - number <double>
-
totalWeightInKgsRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
- object
-
-
ApiVersionRequired - string
- array
-
-
consignmentId - string attribute
-
contractPricePackageCount - string
-
CurrencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
IsPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
NumberOfConsignmentItems - integer <int32>
- array wrapped
-
- object
-
- array wrapped
-
- object
-
-
AmountRequired - string
-
CurrencyCodeRequired - string
-
DescriptionRequired - string
-
IdRequired - string
-
LongDescription - string
-
- array
-
-
AlternateEstimatedDates - string
-
-
BrandRequired - string
-
ContractPrice - string
-
CurrencyCode - string
-
EstimatedDeliveryDate - string
-
LastRetrievalDate - string
- array wrapped
-
- object
-
-
Text - string
-
Type - string
-
Url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
EtaMissingReason - string
-
EtaType - string
- array wrapped
-
- object
-
-
CityRequired - string
-
ConsignmentEvent - boolean
-
CountryRequired - string
-
CountryCodeRequired - string
-
dateIso - string
-
DescriptionRequired - string
-
OccuredAtDisplayDateRequired - string
-
displayTime - string
-
GpsMapUrl - string
-
GpsXCoordinate - string
-
GpsYCoordinate - string
-
Required
- array
-
-
images - string
-
-
Insignificant - boolean
-
lmCauseCode - string
-
LmEventCode - string
-
lmMeasureCode - string
-
PostalCodeRequired - string
-
Required
- object
-
-
LinkToImage - string
-
NameRequired - string
-
-
StatusRequired - string
-
UnitIdRequired - string
-
UnitInformationUrl - string
-
UnitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
HeightRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
LabelFreeCode - string
-
LengthRequired - integer <int32>
-
ListPrice - string
-
originalPickupUnitId - string
-
packageNumber - string attribute
-
PickupCode - string
-
previousPackageNumber - string attribute
-
ProductCodeRequired - string
-
ProductLink - string
-
ProductNameRequired - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientMobileNumber - string
-
RecipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
RequestedPackageOnRequired - string
-
UserEmailRequired - string
-
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderMobileNumber - string
-
SenderName - string
-
ShelfNumber - string
-
SourceSystemCode - string
-
StatusDescriptionRequired - string
-
ThirdPartyMobileNumber - string
-
VolumeRequired - number <double>
-
WeightRequired - number <double>
-
WidthRequired - integer <int32>
-
preReturnConsignmentNumber - string attribute
-
previousConsignmentId - string attribute
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientCustomerMasterNumber - string
-
RecipientCustomerNumber - string
-
RecipientCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientName - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderCustomerMasterNumber - string
-
SenderCustomerNumber - string
-
SenderCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderLogo - string
-
SenderName - string
-
SenderReference - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
ThirdPartyCustomerName - string
-
ThirdPartyCustomerNumber - string
-
TotalContractPrice - string
-
TotalListPrice - string
-
TotalVolumeRequired - number <double>
-
TotalWeightRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
-
-
-
ConsignmentElementType - Base class for consignment and error
-
-
404 Not Found
Schema
-
apiVersionRequired - string
-
consignmentId - string
-
contractPricePackageCount - string
-
currencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
isPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
numberOfConsignmentItems - integer <int32>
- array of objects
- array of objects
-
amountRequired - string
-
currencyCodeRequired - string
-
descriptionRequired - string
-
idRequired - string
-
longDescription - string
-
alternateEstimatedDates- array of strings
-
- string
-
-
brandRequired - string
-
contractPrice - string
-
currencyCode - string
-
dateOfEstimatedDelivery - string
-
dateOfReturn - string
- array of objects
-
text - string
-
type - string
-
url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
etaMissingReason - string
-
etaType - string
- array of objects
-
cityRequired - string
-
consignmentEvent - boolean
-
countryRequired - string
-
countryCodeRequired - string
-
dateIso - string
-
descriptionRequired - string
-
displayDateRequired - string
-
displayTime - string
-
gpsMapUrl - string
-
gpsXCoordinate - string
-
gpsYCoordinate - string
imagesRequired- array of strings
-
- string
-
-
insignificant - boolean
-
lmCauseCode - string
-
lmEventCode - string
-
lmMeasureCode - string
-
postalCodeRequired - string
-
Required
- object
-
-
linkToImage - string
-
nameRequired - string
-
-
statusRequired - string
-
unitIdRequired - string
-
unitInformationUrl - string
-
unitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
heightInCmRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
labelFreeCode - string
-
lengthInCmRequired - integer <int32>
-
listPrice - string
-
originalPickupUnitId - string
-
packageNumber - string
-
pickupCode - string
-
previousPackageNumber - string
-
productCodeRequired - string
-
productLink - string
-
productNameRequired - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientMobileNumber - string
-
recipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
requestedPackageOnRequired - string
-
userEmailRequired - string
-
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderMobileNumber - string
-
senderName - string
-
shelfNumber - string
-
sourceSystemCode - string
-
statusDescriptionRequired - string
-
thirdPartyMobileNumber - string
-
volumeInDm3Required - number <double>
-
weightInKgsRequired - number <double>
-
widthInCmRequired - integer <int32>
-
preReturnConsignmentNumber - string
-
previousConsignmentId - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientCustomerMasterNumber - string
-
recipientCustomerNumber - string
-
recipientCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientName - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderCustomerMasterNumber - string
-
senderCustomerNumber - string
-
senderCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderLogo - string
-
senderName - string
-
senderReference - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
thirdPartyCustomerName - string
-
thirdPartyCustomerNumber - string
-
totalContractPrice - string
-
totalListPrice - string
-
totalVolumeInDm3Required - number <double>
-
totalWeightInKgsRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
- object
-
-
ApiVersionRequired - string
- array
-
-
consignmentId - string attribute
-
contractPricePackageCount - string
-
CurrencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
IsPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
NumberOfConsignmentItems - integer <int32>
- array wrapped
-
- object
-
- array wrapped
-
- object
-
-
AmountRequired - string
-
CurrencyCodeRequired - string
-
DescriptionRequired - string
-
IdRequired - string
-
LongDescription - string
-
- array
-
-
AlternateEstimatedDates - string
-
-
BrandRequired - string
-
ContractPrice - string
-
CurrencyCode - string
-
EstimatedDeliveryDate - string
-
LastRetrievalDate - string
- array wrapped
-
- object
-
-
Text - string
-
Type - string
-
Url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
EtaMissingReason - string
-
EtaType - string
- array wrapped
-
- object
-
-
CityRequired - string
-
ConsignmentEvent - boolean
-
CountryRequired - string
-
CountryCodeRequired - string
-
dateIso - string
-
DescriptionRequired - string
-
OccuredAtDisplayDateRequired - string
-
displayTime - string
-
GpsMapUrl - string
-
GpsXCoordinate - string
-
GpsYCoordinate - string
-
Required
- array
-
-
images - string
-
-
Insignificant - boolean
-
lmCauseCode - string
-
LmEventCode - string
-
lmMeasureCode - string
-
PostalCodeRequired - string
-
Required
- object
-
-
LinkToImage - string
-
NameRequired - string
-
-
StatusRequired - string
-
UnitIdRequired - string
-
UnitInformationUrl - string
-
UnitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
HeightRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
LabelFreeCode - string
-
LengthRequired - integer <int32>
-
ListPrice - string
-
originalPickupUnitId - string
-
packageNumber - string attribute
-
PickupCode - string
-
previousPackageNumber - string attribute
-
ProductCodeRequired - string
-
ProductLink - string
-
ProductNameRequired - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientMobileNumber - string
-
RecipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
RequestedPackageOnRequired - string
-
UserEmailRequired - string
-
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderMobileNumber - string
-
SenderName - string
-
ShelfNumber - string
-
SourceSystemCode - string
-
StatusDescriptionRequired - string
-
ThirdPartyMobileNumber - string
-
VolumeRequired - number <double>
-
WeightRequired - number <double>
-
WidthRequired - integer <int32>
-
preReturnConsignmentNumber - string attribute
-
previousConsignmentId - string attribute
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientCustomerMasterNumber - string
-
RecipientCustomerNumber - string
-
RecipientCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientName - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderCustomerMasterNumber - string
-
SenderCustomerNumber - string
-
SenderCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderLogo - string
-
SenderName - string
-
SenderReference - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
ThirdPartyCustomerName - string
-
ThirdPartyCustomerNumber - string
-
TotalContractPrice - string
-
TotalListPrice - string
-
TotalVolumeRequired - number <double>
-
TotalWeightRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
-
-
-
ConsignmentElementType - Base class for consignment and error
-
-
429 Too Many Requests
Schema
-
apiVersionRequired - string
-
consignmentId - string
-
contractPricePackageCount - string
-
currencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
isPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
numberOfConsignmentItems - integer <int32>
- array of objects
- array of objects
-
amountRequired - string
-
currencyCodeRequired - string
-
descriptionRequired - string
-
idRequired - string
-
longDescription - string
-
alternateEstimatedDates- array of strings
-
- string
-
-
brandRequired - string
-
contractPrice - string
-
currencyCode - string
-
dateOfEstimatedDelivery - string
-
dateOfReturn - string
- array of objects
-
text - string
-
type - string
-
url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
etaMissingReason - string
-
etaType - string
- array of objects
-
cityRequired - string
-
consignmentEvent - boolean
-
countryRequired - string
-
countryCodeRequired - string
-
dateIso - string
-
descriptionRequired - string
-
displayDateRequired - string
-
displayTime - string
-
gpsMapUrl - string
-
gpsXCoordinate - string
-
gpsYCoordinate - string
imagesRequired- array of strings
-
- string
-
-
insignificant - boolean
-
lmCauseCode - string
-
lmEventCode - string
-
lmMeasureCode - string
-
postalCodeRequired - string
-
Required
- object
-
-
linkToImage - string
-
nameRequired - string
-
-
statusRequired - string
-
unitIdRequired - string
-
unitInformationUrl - string
-
unitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
heightInCmRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
labelFreeCode - string
-
lengthInCmRequired - integer <int32>
-
listPrice - string
-
originalPickupUnitId - string
-
packageNumber - string
-
pickupCode - string
-
previousPackageNumber - string
-
productCodeRequired - string
-
productLink - string
-
productNameRequired - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientMobileNumber - string
-
recipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
requestedPackageOnRequired - string
-
userEmailRequired - string
-
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderMobileNumber - string
-
senderName - string
-
shelfNumber - string
-
sourceSystemCode - string
-
statusDescriptionRequired - string
-
thirdPartyMobileNumber - string
-
volumeInDm3Required - number <double>
-
weightInKgsRequired - number <double>
-
widthInCmRequired - integer <int32>
-
preReturnConsignmentNumber - string
-
previousConsignmentId - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientCustomerMasterNumber - string
-
recipientCustomerNumber - string
-
recipientCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientName - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderCustomerMasterNumber - string
-
senderCustomerNumber - string
-
senderCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderLogo - string
-
senderName - string
-
senderReference - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
thirdPartyCustomerName - string
-
thirdPartyCustomerNumber - string
-
totalContractPrice - string
-
totalListPrice - string
-
totalVolumeInDm3Required - number <double>
-
totalWeightInKgsRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
- object
-
-
ApiVersionRequired - string
- array
-
-
consignmentId - string attribute
-
contractPricePackageCount - string
-
CurrencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
IsPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
NumberOfConsignmentItems - integer <int32>
- array wrapped
-
- object
-
- array wrapped
-
- object
-
-
AmountRequired - string
-
CurrencyCodeRequired - string
-
DescriptionRequired - string
-
IdRequired - string
-
LongDescription - string
-
- array
-
-
AlternateEstimatedDates - string
-
-
BrandRequired - string
-
ContractPrice - string
-
CurrencyCode - string
-
EstimatedDeliveryDate - string
-
LastRetrievalDate - string
- array wrapped
-
- object
-
-
Text - string
-
Type - string
-
Url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
EtaMissingReason - string
-
EtaType - string
- array wrapped
-
- object
-
-
CityRequired - string
-
ConsignmentEvent - boolean
-
CountryRequired - string
-
CountryCodeRequired - string
-
dateIso - string
-
DescriptionRequired - string
-
OccuredAtDisplayDateRequired - string
-
displayTime - string
-
GpsMapUrl - string
-
GpsXCoordinate - string
-
GpsYCoordinate - string
-
Required
- array
-
-
images - string
-
-
Insignificant - boolean
-
lmCauseCode - string
-
LmEventCode - string
-
lmMeasureCode - string
-
PostalCodeRequired - string
-
Required
- object
-
-
LinkToImage - string
-
NameRequired - string
-
-
StatusRequired - string
-
UnitIdRequired - string
-
UnitInformationUrl - string
-
UnitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
HeightRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
LabelFreeCode - string
-
LengthRequired - integer <int32>
-
ListPrice - string
-
originalPickupUnitId - string
-
packageNumber - string attribute
-
PickupCode - string
-
previousPackageNumber - string attribute
-
ProductCodeRequired - string
-
ProductLink - string
-
ProductNameRequired - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientMobileNumber - string
-
RecipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
RequestedPackageOnRequired - string
-
UserEmailRequired - string
-
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderMobileNumber - string
-
SenderName - string
-
ShelfNumber - string
-
SourceSystemCode - string
-
StatusDescriptionRequired - string
-
ThirdPartyMobileNumber - string
-
VolumeRequired - number <double>
-
WeightRequired - number <double>
-
WidthRequired - integer <int32>
-
preReturnConsignmentNumber - string attribute
-
previousConsignmentId - string attribute
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientCustomerMasterNumber - string
-
RecipientCustomerNumber - string
-
RecipientCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientName - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderCustomerMasterNumber - string
-
SenderCustomerNumber - string
-
SenderCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderLogo - string
-
SenderName - string
-
SenderReference - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
ThirdPartyCustomerName - string
-
ThirdPartyCustomerNumber - string
-
TotalContractPrice - string
-
TotalListPrice - string
-
TotalVolumeRequired - number <double>
-
TotalWeightRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
-
-
-
ConsignmentElementType - Base class for consignment and error
-
-
500 Internal Server Error
Schema
-
apiVersionRequired - string
-
consignmentId - string
-
contractPricePackageCount - string
-
currencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
isPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
numberOfConsignmentItems - integer <int32>
- array of objects
- array of objects
-
amountRequired - string
-
currencyCodeRequired - string
-
descriptionRequired - string
-
idRequired - string
-
longDescription - string
-
alternateEstimatedDates- array of strings
-
- string
-
-
brandRequired - string
-
contractPrice - string
-
currencyCode - string
-
dateOfEstimatedDelivery - string
-
dateOfReturn - string
- array of objects
-
text - string
-
type - string
-
url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
etaMissingReason - string
-
etaType - string
- array of objects
-
cityRequired - string
-
consignmentEvent - boolean
-
countryRequired - string
-
countryCodeRequired - string
-
dateIso - string
-
descriptionRequired - string
-
displayDateRequired - string
-
displayTime - string
-
gpsMapUrl - string
-
gpsXCoordinate - string
-
gpsYCoordinate - string
imagesRequired- array of strings
-
- string
-
-
insignificant - boolean
-
lmCauseCode - string
-
lmEventCode - string
-
lmMeasureCode - string
-
postalCodeRequired - string
-
Required
- object
-
-
linkToImage - string
-
nameRequired - string
-
-
statusRequired - string
-
unitIdRequired - string
-
unitInformationUrl - string
-
unitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
heightInCmRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
labelFreeCode - string
-
lengthInCmRequired - integer <int32>
-
listPrice - string
-
originalPickupUnitId - string
-
packageNumber - string
-
pickupCode - string
-
previousPackageNumber - string
-
productCodeRequired - string
-
productLink - string
-
productNameRequired - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientMobileNumber - string
-
recipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
requestedPackageOnRequired - string
-
userEmailRequired - string
-
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderMobileNumber - string
-
senderName - string
-
shelfNumber - string
-
sourceSystemCode - string
-
statusDescriptionRequired - string
-
thirdPartyMobileNumber - string
-
volumeInDm3Required - number <double>
-
weightInKgsRequired - number <double>
-
widthInCmRequired - integer <int32>
-
preReturnConsignmentNumber - string
-
previousConsignmentId - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientCustomerMasterNumber - string
-
recipientCustomerNumber - string
-
recipientCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientName - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderCustomerMasterNumber - string
-
senderCustomerNumber - string
-
senderCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderLogo - string
-
senderName - string
-
senderReference - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
thirdPartyCustomerName - string
-
thirdPartyCustomerNumber - string
-
totalContractPrice - string
-
totalListPrice - string
-
totalVolumeInDm3Required - number <double>
-
totalWeightInKgsRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
- object
-
-
ApiVersionRequired - string
- array
-
-
consignmentId - string attribute
-
contractPricePackageCount - string
-
CurrencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
IsPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
NumberOfConsignmentItems - integer <int32>
- array wrapped
-
- object
-
- array wrapped
-
- object
-
-
AmountRequired - string
-
CurrencyCodeRequired - string
-
DescriptionRequired - string
-
IdRequired - string
-
LongDescription - string
-
- array
-
-
AlternateEstimatedDates - string
-
-
BrandRequired - string
-
ContractPrice - string
-
CurrencyCode - string
-
EstimatedDeliveryDate - string
-
LastRetrievalDate - string
- array wrapped
-
- object
-
-
Text - string
-
Type - string
-
Url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
EtaMissingReason - string
-
EtaType - string
- array wrapped
-
- object
-
-
CityRequired - string
-
ConsignmentEvent - boolean
-
CountryRequired - string
-
CountryCodeRequired - string
-
dateIso - string
-
DescriptionRequired - string
-
OccuredAtDisplayDateRequired - string
-
displayTime - string
-
GpsMapUrl - string
-
GpsXCoordinate - string
-
GpsYCoordinate - string
-
Required
- array
-
-
images - string
-
-
Insignificant - boolean
-
lmCauseCode - string
-
LmEventCode - string
-
lmMeasureCode - string
-
PostalCodeRequired - string
-
Required
- object
-
-
LinkToImage - string
-
NameRequired - string
-
-
StatusRequired - string
-
UnitIdRequired - string
-
UnitInformationUrl - string
-
UnitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
HeightRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
LabelFreeCode - string
-
LengthRequired - integer <int32>
-
ListPrice - string
-
originalPickupUnitId - string
-
packageNumber - string attribute
-
PickupCode - string
-
previousPackageNumber - string attribute
-
ProductCodeRequired - string
-
ProductLink - string
-
ProductNameRequired - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientMobileNumber - string
-
RecipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
RequestedPackageOnRequired - string
-
UserEmailRequired - string
-
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderEmailAddress - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderMobileNumber - string
-
SenderName - string
-
ShelfNumber - string
-
SourceSystemCode - string
-
StatusDescriptionRequired - string
-
ThirdPartyMobileNumber - string
-
VolumeRequired - number <double>
-
WeightRequired - number <double>
-
WidthRequired - integer <int32>
-
preReturnConsignmentNumber - string attribute
-
previousConsignmentId - string attribute
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientCustomerMasterNumber - string
-
RecipientCustomerNumber - string
-
RecipientCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
RecipientName - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderCustomerMasterNumber - string
-
SenderCustomerNumber - string
-
SenderCustomerType - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
SenderLogo - string
-
SenderName - string
-
SenderReference - string
- object
-
-
AddressLine1Required - string
-
AddressLine2Required - string
-
CityRequired - string
-
CountryRequired - string
-
CountryCodeRequired - string
-
PostalCodeRequired - string
-
RecipientId - string
-
-
ThirdPartyCustomerName - string
-
ThirdPartyCustomerNumber - string
-
TotalContractPrice - string
-
TotalListPrice - string
-
TotalVolumeRequired - number <double>
-
TotalWeightRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
-
-
-
ConsignmentElementType - Base class for consignment and error
-
-
503 Service Unavailable
Schema
Media type: application/json
-
apiVersionRequired - string
-
consignmentId - string
-
contractPricePackageCount - string
-
currencyCode - string
-
deliveryInstructions - string
-
earliestCollectionTimestamp - string
-
isLoggedInSenderOrReceiver - boolean
-
isPickupNoticeAvailable - boolean
-
latestCollectionTimestamp - string
-
listPricePackageCount - string
-
numberOfConsignmentItems - integer <int32>
- array of objects
- array of objects
-
amountRequired - string
-
currencyCodeRequired - string
-
descriptionRequired - string
-
idRequired - string
-
longDescription - string
-
alternateEstimatedDates- array of strings
-
- string
-
-
brandRequired - string
-
contractPrice - string
-
currencyCode - string
-
dateOfEstimatedDelivery - string
-
dateOfReturn - string
- array of objects
-
text - string
-
type - string
-
url - string <url>
-
- object
-
-
endTime - string
-
startTime - string
-
-
etaMissingReason - string
-
etaType - string
- array of objects
-
cityRequired - string
-
consignmentEvent - boolean
-
countryRequired - string
-
countryCodeRequired - string
-
dateIso - string
-
descriptionRequired - string
-
displayDateRequired - string
-
displayTime - string
-
gpsMapUrl - string
-
gpsXCoordinate - string
-
gpsYCoordinate - string
imagesRequired- array of strings
-
- string
-
-
insignificant - boolean
-
lmCauseCode - string
-
lmEventCode - string
-
lmMeasureCode - string
-
postalCodeRequired - string
-
Required
- object
-
-
linkToImage - string
-
nameRequired - string
-
-
statusRequired - string
-
unitIdRequired - string
-
unitInformationUrl - string
-
unitTypeRequired - string
-
-
expectedPickupUnitId - string
-
expectedPickupUnitName - string
-
expectedPickupUnitURL - string
-
heightInCmRequired - integer <int32>
-
isLoggedInSenderOrReceiver - boolean
-
labelFreeCode - string
-
lengthInCmRequired - integer <int32>
-
listPrice - string
-
originalPickupUnitId - string
-
packageNumber - string
-
pickupCode - string
-
previousPackageNumber - string
-
productCodeRequired - string
-
productLink - string
-
productNameRequired - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientMobileNumber - string
-
recipientName - string
- object
-
-
caseIdRequired - string
-
hasBeenRequestedRequired - boolean
-
requestedPackageOnRequired - string
-
userEmailRequired - string
-
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderEmailAddress - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderMobileNumber - string
-
senderName - string
-
shelfNumber - string
-
sourceSystemCode - string
-
statusDescriptionRequired - string
-
thirdPartyMobileNumber - string
-
volumeInDm3Required - number <double>
-
weightInKgsRequired - number <double>
-
widthInCmRequired - integer <int32>
-
preReturnConsignmentNumber - string
-
previousConsignmentId - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientCustomerMasterNumber - string
-
recipientCustomerNumber - string
-
recipientCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
recipientName - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderCustomerMasterNumber - string
-
senderCustomerNumber - string
-
senderCustomerType - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
senderLogo - string
-
senderName - string
-
senderReference - string
- object
-
-
addressLine1Required - string
-
addressLine2Required - string
-
cityRequired - string
-
countryRequired - string
-
countryCodeRequired - string
-
postalCodeRequired - string
-
recipientId - string
-
-
thirdPartyCustomerName - string
-
thirdPartyCustomerNumber - string
-
totalContractPrice - string
-
totalListPrice - string
-
totalVolumeInDm3Required - number <double>
-
totalWeightInKgsRequired - number <double>
- object
-
-
code - integer <int32>
-
message - string
-
system - string
-
Response examples
{
"apiVersion": "2",
"consignmentSet": [
{
"consignmentId": "SHIPMENTNUMBER",
"isLoggedInSenderOrReceiver": false,
"isPickupNoticeAvailable": false,
"packageSet": [
{
"additionalServiceSet": [
{
"amount": "",
"currencyCode": "",
"description": "eAdvising",
"id": "1091",
"longDescription": "Delivery advising will be sent via sms +4700000000 and/or e-mail"
}
],
"brand": "POSTEN",
"descriptions": [],
"eventSet": [
{
"city": "",
"consignmentEvent": false,
"country": "",
"countryCode": "",
"displayTime": "",
"insignificant": false,
"postalCode": "",
"recipientSignature": {
"linkToImage": "api/parcel-hub/signature?consignmentItemNumber=TESTPACKAGEDELIVERED&imageName=imageName",
"name": "HOME OWNER"
},
"unitId": "971190",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"insignificant": false,
"postalCode": "0001",
"recipientSignature": {
"name": ""
},
"unitId": "971190",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"insignificant": false,
"postalCode": "0024",
"recipientSignature": {
"name": ""
},
"unitId": "032850",
"unitType": "BRING"
}
],
"heightInCm": 29,
"isLoggedInSenderOrReceiver": false,
"lengthInCm": 41,
"packageNumber": "TESTPACKAGEDELIVERED",
"previousPackageNumber": "",
"productCode": "1736",
"productLink": "http://www.bring.no/english/shortcuts/1736",
"productName": "HOME DELIVERY",
"statusDescription": "",
"volumeInDm3": 45.2,
"weightInKgs": 16.5,
"widthInCm": 38
}
],
"previousConsignmentId": "",
"recipientCustomerMasterNumber": "",
"recipientCustomerNumber": "",
"recipientCustomerType": "",
"senderCustomerMasterNumber": "",
"senderCustomerNumber": "",
"senderCustomerType": "",
"senderReference": "",
"totalVolumeInDm3": 45.2,
"totalWeightInKgs": 16.5
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"consignmentId": "SHIPMENTNUMBER",
"isLoggedInSenderOrReceiver": false,
"isPickupNoticeAvailable": false,
"packageSet": [
{
"additionalServiceSet": [],
"brand": "UNDEFINED",
"dateOfEstimatedDelivery": "20.04.2021",
"descriptions": [],
"estimatedTimeSpanOfDelivery": {
"endTime": "16:00",
"startTime": "08:00"
},
"eventSet": [
{
"city": "SKIEN",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "3702",
"recipientSignature": {
"name": ""
},
"unitId": "318704",
"unitType": "BRING"
}
],
"heightInCm": 16,
"isLoggedInSenderOrReceiver": false,
"lengthInCm": 22,
"packageNumber": "TESTPARCELWITHETA",
"previousPackageNumber": "",
"productCode": "5000",
"productLink": "http://www.bring.no/english/shortcuts/5000",
"productName": "Business parcel",
"recipientAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "Norway",
"countryCode": "NO",
"postalCode": "",
"recipientId": ""
},
"recipientEmailAddress": "",
"recipientHandlingAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "Norway",
"countryCode": "NO",
"postalCode": "",
"recipientId": ""
},
"recipientName": "MADE FOR MOVEMENT GROUP AS",
"senderAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "Norway",
"countryCode": "NO",
"postalCode": "",
"recipientId": ""
},
"senderName": "POSTEN NORGE AS",
"statusDescription": "",
"volumeInDm3": 6.3,
"weightInKgs": 0.3,
"widthInCm": 18
}
],
"previousConsignmentId": "",
"recipientAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "Norway",
"countryCode": "NO",
"postalCode": "",
"recipientId": ""
},
"recipientCustomerMasterNumber": "",
"recipientCustomerNumber": "",
"recipientCustomerType": "",
"recipientHandlingAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "Norway",
"countryCode": "NO",
"postalCode": "",
"recipientId": ""
},
"recipientName": "POSTEN NORGE AS",
"senderAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "Norway",
"countryCode": "NO",
"postalCode": "",
"recipientId": ""
},
"senderCustomerMasterNumber": "",
"senderCustomerNumber": "",
"senderCustomerType": "",
"senderLogo": "",
"senderName": "POSTEN NORGE",
"senderReference": "",
"totalVolumeInDm3": 6.3,
"totalWeightInKgs": 0.3
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"consignmentId": "SHIPMENTNUMBER",
"isLoggedInSenderOrReceiver": false,
"isPickupNoticeAvailable": false,
"packageSet": [
{
"additionalServiceSet": [
{
"amount": "",
"currencyCode": "",
"description": "Optional PickUp Point",
"id": "1036",
"longDescription": "The shipment will be delivered to requested PickUp Point"
}
],
"brand": "POSTEN",
"descriptions": [],
"estimatedTimeSpanOfDelivery": {},
"eventSet": [
{
"city": "HAMAR",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "2309",
"recipientSignature": {
"name": ""
},
"unitId": "032823",
"unitType": "BRING"
},
{
"city": "INGEBERG",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "2323",
"recipientSignature": {
"name": ""
},
"unitId": "032823",
"unitType": "BRING"
},
{
"city": "TILLER",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "7093",
"recipientSignature": {
"name": ""
},
"unitId": "101337",
"unitType": "BRING"
},
{
"city": "TILLER",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "7093",
"recipientSignature": {
"name": ""
},
"unitId": "032845",
"unitType": "BRING"
},
{
"city": "TILLER",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "7093",
"recipientSignature": {
"name": ""
},
"unitId": "032845",
"unitType": "BRING"
},
{
"city": "",
"consignmentEvent": false,
"country": "",
"countryCode": "",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "",
"recipientSignature": {
"name": ""
},
"unitId": "904030",
"unitType": "BRING"
}
],
"expectedPickupUnitId": "122950",
"expectedPickupUnitName": "Spar Dokka",
"expectedPickupUnitURL": "https://www.posten.no/kart?ID=122950",
"heightInCm": 11,
"isLoggedInSenderOrReceiver": false,
"lengthInCm": 31,
"packageNumber": "TESTPARCELWITHEXPUP",
"previousPackageNumber": "",
"productCode": "5800",
"productLink": "http://www.bring.no/english/shortcuts/5800",
"productName": "Pick-up parcel",
"recipientAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "DOKKA",
"country": "Norway",
"countryCode": "NO",
"postalCode": "2870",
"recipientId": ""
},
"recipientHandlingAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "DOKKA",
"country": "Norway",
"countryCode": "NO",
"postalCode": "2870",
"recipientId": ""
},
"senderAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "",
"countryCode": "",
"postalCode": "",
"recipientId": ""
},
"senderName": "POSTEN NORGE AS",
"statusDescription": "",
"thirdPartyMobileNumber": "",
"volumeInDm3": 10.2,
"weightInKgs": 0.8,
"widthInCm": 30
}
],
"previousConsignmentId": "",
"recipientAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "DOKKA",
"country": "Norway",
"countryCode": "NO",
"postalCode": "2870",
"recipientId": ""
},
"recipientCustomerMasterNumber": "",
"recipientCustomerNumber": "",
"recipientCustomerType": "",
"recipientHandlingAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "DOKKA",
"country": "Norway",
"countryCode": "NO",
"postalCode": "2870",
"recipientId": ""
},
"senderAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "",
"countryCode": "",
"postalCode": "7038",
"recipientId": ""
},
"senderCustomerMasterNumber": "",
"senderCustomerNumber": "",
"senderCustomerType": "",
"senderLogo": "",
"senderName": "POSTEN NORGE AS",
"senderReference": "",
"totalVolumeInDm3": 10.2,
"totalWeightInKgs": 0.8
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"consignmentId": "SHIPMENTNUMBER",
"isLoggedInSenderOrReceiver": false,
"isPickupNoticeAvailable": false,
"packageSet": [
{
"additionalServiceSet": [],
"brand": "POSTEN",
"descriptions": [],
"eventSet": [
{
"city": "",
"consignmentEvent": false,
"country": "",
"countryCode": "",
"displayTime": "",
"insignificant": false,
"postalCode": "",
"recipientSignature": {
"name": ""
},
"unitId": "904030",
"unitType": "BRING"
}
],
"heightInCm": 29,
"isLoggedInSenderOrReceiver": false,
"lengthInCm": 41,
"packageNumber": "TESTPACKAGEEDI",
"previousPackageNumber": "",
"productCode": "1736",
"productLink": "http://www.bring.no/english/shortcuts/1736",
"productName": "HOME DELIVERY",
"statusDescription": "Norway Post/Bring has received a message from sender that a package is on its way, but has not yet received the package. In case of questions, please contact the sender",
"volumeInDm3": 45.2,
"weightInKgs": 16.5,
"widthInCm": 38
}
],
"previousConsignmentId": "",
"recipientCustomerMasterNumber": "",
"recipientCustomerNumber": "",
"recipientCustomerType": "",
"senderCustomerMasterNumber": "",
"senderCustomerNumber": "",
"senderCustomerType": "",
"senderReference": "",
"totalVolumeInDm3": 45.2,
"totalWeightInKgs": 16.5
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"error": {
"code": 400,
"message": "Invalid query"
}
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"consignmentId": "SHIPMENTNUMBER",
"isLoggedInSenderOrReceiver": false,
"isPickupNoticeAvailable": false,
"packageSet": [
{
"additionalServiceSet": [],
"brand": "POSTEN",
"descriptions": [],
"eventSet": [
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"insignificant": false,
"postalCode": "0001",
"recipientSignature": {
"name": ""
},
"unitId": "971190",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"insignificant": false,
"postalCode": "0024",
"recipientSignature": {
"name": ""
},
"unitId": "032850",
"unitType": "BRING"
}
],
"heightInCm": 29,
"isLoggedInSenderOrReceiver": false,
"lengthInCm": 41,
"packageNumber": "TESTPACKAGELOADEDFORDELIVERY",
"previousPackageNumber": "",
"productCode": "1736",
"productLink": "http://www.bring.no/english/shortcuts/1736",
"productName": "HOME DELIVERY",
"statusDescription": "Package will be delivered to recipient this evening between 1700 and 2100. The driver will call 30 - 60 minutes before delivery",
"volumeInDm3": 45.2,
"weightInKgs": 16.5,
"widthInCm": 38
}
],
"previousConsignmentId": "",
"recipientCustomerMasterNumber": "",
"recipientCustomerNumber": "",
"recipientCustomerType": "",
"senderCustomerMasterNumber": "",
"senderCustomerNumber": "",
"senderCustomerType": "",
"senderReference": "",
"totalVolumeInDm3": 45.2,
"totalWeightInKgs": 16.5
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"error": {
"code": 503,
"message": "Server too busy/ Temporarily blocked due to too many invalid requests",
"system": "TooBusyPakker_TooBusyPakker"
}
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"consignmentId": "7TESTPACKAGEATPICKUPPOINT",
"isLoggedInSenderOrReceiver": false,
"isPickupNoticeAvailable": true,
"numberOfConsignmentItems": 1,
"packageSet": [
{
"additionalServiceSet": [
{
"amount": "",
"currencyCode": "",
"description": "Optional PickUp Point",
"id": "1036",
"longDescription": "The shipment will be delivered to requested PickUp Point"
}
],
"brand": "POSTEN",
"dateOfReturn": "19.08.2021",
"descriptions": [],
"eventSet": [
{
"city": "",
"consignmentEvent": false,
"country": "",
"countryCode": "",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": true,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "",
"recipientSignature": {
"name": ""
},
"unitId": "032451",
"unitType": "BRING"
},
{
"city": "",
"consignmentEvent": false,
"country": "",
"countryCode": "",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": true,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "",
"recipientSignature": {
"name": ""
},
"unitId": "032451",
"unitType": "BRING"
},
{
"city": "",
"consignmentEvent": false,
"country": "",
"countryCode": "",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": true,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "",
"recipientSignature": {
"name": ""
},
"unitId": "032451",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "9616",
"recipientSignature": {
"name": ""
},
"unitId": "127466",
"unitInformationUrl": "https://api.qa.bring.com/pickuppoint/api/pickuppoint/NO/id/127466.xml\n ",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "9515",
"recipientSignature": {
"name": ""
},
"unitId": "107499",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "9515",
"recipientSignature": {
"name": ""
},
"unitId": "101658",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "0024",
"recipientSignature": {
"name": ""
},
"unitId": "032942",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "0024",
"recipientSignature": {
"name": ""
},
"unitId": "032850",
"unitType": "BRING"
},
{
"city": "",
"consignmentEvent": false,
"country": "",
"countryCode": "",
"displayTime": "",
"gpsMapUrl": "",
"gpsXCoordinate": "",
"gpsYCoordinate": "",
"insignificant": false,
"lmCauseCode": "",
"lmMeasureCode": "",
"postalCode": "",
"recipientSignature": {
"name": ""
},
"unitId": "904030",
"unitType": "BRING"
}
],
"expectedPickupUnitId": "",
"expectedPickupUnitName": "",
"expectedPickupUnitURL": "",
"heightInCm": 15,
"isLoggedInSenderOrReceiver": false,
"lengthInCm": 45,
"packageNumber": "TESTPACKAGEATPICKUPPOINT",
"pickupCode": "QU95",
"previousPackageNumber": "",
"productCode": "5800",
"productLink": "http://www.bring.no/english/shortcuts/5800",
"productName": "Pick-up parcel",
"recipientAddress": {
"addressLine1": "Recipient AddressLine 1",
"addressLine2": "Recipient AddressLine 2",
"city": "City",
"country": "Norway",
"countryCode": "NO",
"postalCode": "0000",
"recipientId": ""
},
"recipientEmailAddress": "test@test.no",
"recipientHandlingAddress": {
"addressLine1": "Delivery Addressline 1",
"addressLine2": "Delivery Addressline 1",
"city": "City",
"country": "Norway",
"countryCode": "NO",
"postalCode": "0000",
"recipientId": ""
},
"recipientName": "Ms. Recipient",
"senderAddress": {
"addressLine1": "Sender Pickup AddressLine 1",
"addressLine2": "Sender Pickup AddressLine 2",
"city": "City",
"country": "Norway",
"countryCode": "NO",
"postalCode": "9999",
"recipientId": ""
},
"senderName": "Mr. Sender",
"shelfNumber": "H 001002",
"sourceSystemCode": "Shelf",
"statusDescription": "Package can be collected at PickupPoint. Opening hours: Mon - Sat: 0700-2300\n ",
"thirdPartyMobileNumber": "",
"volumeInDm3": 21.6,
"weightInKgs": 1.3,
"widthInCm": 32
}
],
"previousConsignmentId": "",
"recipientAddress": {
"addressLine1": "Recipient AddressLine 1",
"addressLine2": "Recipient AddressLine 2",
"city": "City",
"country": "Norway",
"countryCode": "NO",
"postalCode": "0000",
"recipientId": ""
},
"recipientCustomerMasterNumber": "",
"recipientCustomerNumber": "",
"recipientCustomerType": "",
"recipientHandlingAddress": {
"addressLine1": "Delivery Addressline 1",
"addressLine2": "Delivery Addressline 1",
"city": "City",
"country": "Norway",
"countryCode": "NO",
"postalCode": "0000",
"recipientId": ""
},
"recipientName": "Ms. Recipient",
"senderAddress": {
"addressLine1": "Sender Pickup AddressLine 1",
"addressLine2": "Sender Pickup AddressLine 2",
"city": "City",
"country": "Norway",
"countryCode": "NO",
"postalCode": "9999",
"recipientId": ""
},
"senderCustomerMasterNumber": "XXXXXXXXXXX",
"senderCustomerNumber": "XXXXXXXXXXX",
"senderCustomerType": "BLNOCMP",
"senderLogo": "",
"senderName": "Mr. Sender",
"senderReference": "TestReference",
"totalVolumeInDm3": 21.6,
"totalWeightInKgs": 1.3
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"error": {
"code": 500,
"message": "Error getting track & trace information",
"system": "ExternalErrorPakker"
}
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"error": {
"code": 404,
"message": "No shipments found"
}
}
]
}{
"apiVersion": "2",
"consignmentSet": [
{
"consignmentId": "SHIPMENTNUMBER",
"isLoggedInSenderOrReceiver": false,
"isPickupNoticeAvailable": false,
"packageSet": [
{
"additionalServiceSet": [],
"brand": "POSTEN",
"dateOfReturn": "01.12.2011",
"descriptions": [],
"eventSet": [
{
"city": "LØTEN",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"insignificant": false,
"postalCode": "2341",
"recipientSignature": {
"linkToImage": "",
"name": ""
},
"unitId": "122608",
"unitInformationUrl": "https://api.bring.com/pickuppoint/api/pickuppoint/NO/id/122608.xml",
"unitType": "BRING"
},
{
"city": "OSLO",
"consignmentEvent": false,
"country": "Norway",
"countryCode": "NO",
"displayTime": "",
"insignificant": false,
"postalCode": "0024",
"recipientSignature": {
"name": ""
},
"unitId": "032850",
"unitType": "BRING"
}
],
"heightInCm": 29,
"isLoggedInSenderOrReceiver": false,
"lengthInCm": 41,
"packageNumber": "TESTPACKAGEATPICKUPPOINT",
"pickupCode": "AA11",
"previousPackageNumber": "",
"productCode": "1202",
"productLink": "http://www.bring.no/english/shortcuts/1202",
"productName": "CARBON-NEUTRAL SERVICE PARCEL",
"recipientHandlingAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "VINTERBRO",
"country": "",
"countryCode": "",
"postalCode": "1407",
"recipientId": ""
},
"senderAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "",
"countryCode": "",
"postalCode": "",
"recipientId": ""
},
"senderName": "POSTEN NORGE AS",
"statusDescription": "Package can be collected at pickup point.",
"volumeInDm3": 45.2,
"weightInKgs": 16.5,
"widthInCm": 38
}
],
"previousConsignmentId": "",
"recipientCustomerMasterNumber": "",
"recipientCustomerNumber": "",
"recipientCustomerType": "",
"recipientHandlingAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "VINTERBRO",
"country": "",
"countryCode": "",
"postalCode": "1407",
"recipientId": ""
},
"senderAddress": {
"addressLine1": "",
"addressLine2": "",
"city": "",
"country": "",
"countryCode": "",
"postalCode": "",
"recipientId": ""
},
"senderCustomerMasterNumber": "",
"senderCustomerNumber": "",
"senderCustomerType": "",
"senderName": "POSTEN NORGE AS",
"senderReference": "",
"totalVolumeInDm3": 45.2,
"totalWeightInKgs": 16.5
}
]
}<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ConsignmentSet xmlns="http://www.bring.no/sporing/2.0">
<ApiVersion>2</ApiVersion>
<Consignment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="packageCargoConsignmentType" consignmentId="SHIPMENTNUMBER" previousConsignmentId="">
<TotalWeight unitCode="kg">16.5</TotalWeight>
<TotalVolume unitCode="dm3">45.2</TotalVolume>
<SenderReference/>
<SenderCustomerNumber/>
<SenderCustomerMasterNumber/>
<SenderCustomerType/>
<RecipientCustomerNumber/>
<RecipientCustomerMasterNumber/>
<RecipientCustomerType/>
<PackageSet>
<Package packageId="TESTPACKAGEDELIVERED" previousPackageId="">
<StatusDescription/>
<Descriptions/>
<ProductName>HOME DELIVERY</ProductName>
<ProductCode>1736</ProductCode>
<ProductLink>http://www.bring.no/english/shortcuts/1736</ProductLink>
<Brand>POSTEN</Brand>
<Weight unitCode="kg">16.5</Weight>
<Length unitCode="cm">41</Length>
<Width unitCode="cm">38</Width>
<Height unitCode="cm">29</Height>
<Volume unitCode="dm3">45.2</Volume>
<EventSet>
<Event xsi:type="packageCargoEventType">
<Description>The shipment has been delivered.</Description>
<Status>DELIVERED</Status>
<RecipientSignature>
<Name>HOME OWNER</Name>
<LinkToImage>api/parcel-hub/signature?consignmentItemNumber=TESTPACKAGEDELIVERED&imageName=imageName</LinkToImage>
</RecipientSignature>
<UnitId>971190</UnitId>
<UnitType>BRING</UnitType>
<PostalCode/>
<City/>
<CountryCode/>
<Country/>
<OccuredAtIsoDateTime>2010-09-30T17:45:25.000+02:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>
<OccuredAtDisplayTime>17.45</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
</Event>
<Event xsi:type="packageCargoEventType">
<Description>The shipment has been loaded for delivery.</Description>
<Status>TRANSPORT_TO_RECIPIENT</Status>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>971190</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>0001</PostalCode>
<City>OSLO</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2010-09-30T16:48:57.000+02:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>
<OccuredAtDisplayTime>16.48</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
</Event>
<Event xsi:type="packageCargoEventType">
<Description>The shipment has been handed in at terminal and forwarded.</Description>
<Status>IN_TRANSIT</Status>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>032850</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>0024</PostalCode>
<City>OSLO</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2010-09-30T08:27:08.000+02:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>30.09.2010</OccuredAtDisplayDate>
<OccuredAtDisplayTime>08.27</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
</Event>
</EventSet>
<AdditionalServicesSet>
<AdditionalService>
<Id>1091</Id>
<Description>eAdvising</Description>
<Amount/>
<CurrencyCode/>
<LongDescription>Delivery advising will be sent via sms +4700000000 and/or e-mail</LongDescription>
</AdditionalService>
</AdditionalServicesSet>
</Package>
</PackageSet>
<IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>
</Consignment>
</ConsignmentSet>
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ConsignmentSet xmlns="http://www.bring.no/sporing/2.0">
<ApiVersion>2</ApiVersion>
<Consignment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="packageCargoConsignmentType" consignmentId="SHIPMENTNUMBER" previousConsignmentId="">
<TotalWeight unitCode="kg">0.3</TotalWeight>
<TotalVolume unitCode="dm3">6.3</TotalVolume>
<SenderReference/>
<SenderCustomerNumber/>
<SenderCustomerMasterNumber/>
<SenderName>POSTEN NORGE</SenderName>
<SenderAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode/>
<City/>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</SenderAddress>
<SenderCustomerType/>
<SenderLogo/>
<RecipientCustomerNumber/>
<RecipientCustomerMasterNumber/>
<RecipientCustomerType/>
<RecipientName>POSTEN NORGE AS</RecipientName>
<RecipientAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode/>
<City/>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientAddress>
<RecipientHandlingAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode/>
<City/>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientHandlingAddress>
<PackageSet>
<Package packageId="TESTPARCELWITHETA" previousPackageId="">
<StatusDescription/>
<Descriptions/>
<ProductName>Business parcel</ProductName>
<ProductCode>5000</ProductCode>
<ProductLink>http://www.bring.no/english/shortcuts/5000</ProductLink>
<Brand>UNDEFINED</Brand>
<Weight unitCode="kg">0.3</Weight>
<Length unitCode="cm">22</Length>
<Width unitCode="cm">18</Width>
<Height unitCode="cm">16</Height>
<Volume unitCode="dm3">6.3</Volume>
<EstimatedDeliveryDate>20.04.2021</EstimatedDeliveryDate>
<EstimatedTimeSpanOfDelivery>
<startTime>08:00</startTime>
<endTime>16:00</endTime>
</EstimatedTimeSpanOfDelivery>
<SenderName>POSTEN NORGE AS</SenderName>
<SenderAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode/>
<City/>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</SenderAddress>
<RecipientName>MADE FOR MOVEMENT GROUP AS</RecipientName>
<RecipientAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode/>
<City/>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientAddress>
<RecipientHandlingAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode/>
<City/>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientHandlingAddress>
<RecipientEmailAddress/>
<EventSet>
<Event xsi:type="packageCargoEventType">
<Description>The shipment has been loaded for delivery.</Description>
<Status>TRANSPORT_TO_RECIPIENT</Status>
<LmEventCode>3</LmEventCode>
<lmCauseCode/>
<lmMeasureCode/>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>318704</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>3702</PostalCode>
<City>SKIEN</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2021-04-19T09:56:58.000+02:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>19.04.2021</OccuredAtDisplayDate>
<OccuredAtDisplayTime>09.56</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
<GpsXCoordinate/>
<GpsYCoordinate/>
<GpsMapUrl/>
</Event>
</EventSet>
<AdditionalServicesSet/>
</Package>
</PackageSet>
<IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>
</Consignment>
</ConsignmentSet>
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ConsignmentSet xmlns="http://www.bring.no/sporing/2.0">
<ApiVersion>2</ApiVersion>
<Consignment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="packageCargoConsignmentType" consignmentId="SHIPMENTNUMBER" previousConsignmentId="">
<TotalWeight unitCode="kg">0.8</TotalWeight>
<TotalVolume unitCode="dm3">10.2</TotalVolume>
<SenderReference/>
<SenderCustomerNumber/>
<SenderCustomerMasterNumber/>
<SenderName>POSTEN NORGE AS</SenderName>
<SenderAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode>7038</PostalCode>
<City/>
<CountryCode/>
<Country/>
<RecipientId/>
</SenderAddress>
<SenderCustomerType/>
<SenderLogo/>
<RecipientCustomerNumber/>
<RecipientCustomerMasterNumber/>
<RecipientCustomerType/>
<RecipientAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode>2870</PostalCode>
<City>DOKKA</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientAddress>
<RecipientHandlingAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode>2870</PostalCode>
<City>DOKKA</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientHandlingAddress>
<PackageSet>
<Package packageId="TESTPARCELWITHEXPUP" previousPackageId="">
<StatusDescription/>
<Descriptions/>
<ProductName>Pick-up parcel</ProductName>
<ProductCode>5800</ProductCode>
<ProductLink>http://www.bring.no/english/shortcuts/5800</ProductLink>
<Brand>POSTEN</Brand>
<Weight unitCode="kg">0.8</Weight>
<Length unitCode="cm">31</Length>
<Width unitCode="cm">30</Width>
<Height unitCode="cm">11</Height>
<Volume unitCode="dm3">10.2</Volume>
<EstimatedTimeSpanOfDelivery/>
<SenderName>POSTEN NORGE AS</SenderName>
<SenderAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode/>
<City/>
<CountryCode/>
<Country/>
<RecipientId/>
</SenderAddress>
<RecipientAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode>2870</PostalCode>
<City>DOKKA</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientAddress>
<RecipientHandlingAddress>
<AddressLine1/>
<AddressLine2/>
<PostalCode>2870</PostalCode>
<City>DOKKA</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<RecipientId/>
</RecipientHandlingAddress>
<EventSet>
<Event xsi:type="packageCargoEventType">
<Description>The shipment has been sorted.</Description>
<Status>IN_TRANSIT</Status>
<LmEventCode>W</LmEventCode>
<lmCauseCode/>
<lmMeasureCode/>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>032823</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>2309</PostalCode>
<City>HAMAR</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2021-12-03T21:16:55.000+01:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>03.12.2021</OccuredAtDisplayDate>
<OccuredAtDisplayTime>21.16</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
<GpsXCoordinate/>
<GpsYCoordinate/>
<GpsMapUrl/>
</Event>
<Event xsi:type="packageCargoEventType">
<Description>Testing</Description>
<Status>IN_TRANSIT</Status>
<LmEventCode>G</LmEventCode>
<lmCauseCode/>
<lmMeasureCode/>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>032823</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>2323</PostalCode>
<City>INGEBERG</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2021-12-03T21:11:04.000+01:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>03.12.2021</OccuredAtDisplayDate>
<OccuredAtDisplayTime>21.11</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
<GpsXCoordinate/>
<GpsYCoordinate/>
<GpsMapUrl/>
</Event>
<Event xsi:type="packageCargoEventType">
<Description>The shipment is in transit.</Description>
<Status>IN_TRANSIT</Status>
<LmEventCode>KO</LmEventCode>
<lmCauseCode/>
<lmMeasureCode/>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>101337</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>7093</PostalCode>
<City>TILLER</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2021-12-02T17:42:25.000+01:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>02.12.2021</OccuredAtDisplayDate>
<OccuredAtDisplayTime>17.42</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
<GpsXCoordinate/>
<GpsYCoordinate/>
<GpsMapUrl/>
</Event>
<Event xsi:type="packageCargoEventType">
<Description>The shipment has been sorted.</Description>
<Status>IN_TRANSIT</Status>
<LmEventCode>W</LmEventCode>
<lmCauseCode/>
<lmMeasureCode/>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>032845</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>7093</PostalCode>
<City>TILLER</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2021-12-01T20:38:17.000+01:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>01.12.2021</OccuredAtDisplayDate>
<OccuredAtDisplayTime>20.38</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
<GpsXCoordinate/>
<GpsYCoordinate/>
<GpsMapUrl/>
</Event>
<Event xsi:type="packageCargoEventType">
<Description>The shipment has been handed in at terminal and forwarded.</Description>
<Status>IN_TRANSIT</Status>
<LmEventCode>R</LmEventCode>
<lmCauseCode/>
<lmMeasureCode/>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>032845</UnitId>
<UnitType>BRING</UnitType>
<PostalCode>7093</PostalCode>
<City>TILLER</City>
<CountryCode>NO</CountryCode>
<Country>Norway</Country>
<OccuredAtIsoDateTime>2021-12-01T20:03:19.000+01:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>01.12.2021</OccuredAtDisplayDate>
<OccuredAtDisplayTime>20.03</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
<GpsXCoordinate/>
<GpsYCoordinate/>
<GpsMapUrl/>
</Event>
<Event xsi:type="packageCargoEventType">
<Description>No shipment has been received yet, only notification of the shipment.</Description>
<Status>PRE_NOTIFIED</Status>
<LmEventCode>T</LmEventCode>
<lmCauseCode/>
<lmMeasureCode/>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>904030</UnitId>
<UnitType>BRING</UnitType>
<PostalCode/>
<City/>
<CountryCode/>
<Country/>
<OccuredAtIsoDateTime>2021-12-01T17:57:06.000+01:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>01.12.2021</OccuredAtDisplayDate>
<OccuredAtDisplayTime>17.57</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
<GpsXCoordinate/>
<GpsYCoordinate/>
<GpsMapUrl/>
</Event>
</EventSet>
<AdditionalServicesSet>
<AdditionalService>
<Id>1036</Id>
<Description>Optional PickUp Point</Description>
<Amount/>
<CurrencyCode/>
<LongDescription>The shipment will be delivered to requested PickUp Point</LongDescription>
</AdditionalService>
</AdditionalServicesSet>
<ThirdPartyMobileNumber/>
<expectedPickupUnitId>122950</expectedPickupUnitId>
<expectedPickupUnitName>Spar Dokka</expectedPickupUnitName>
<expectedPickupUnitURL>https://www.posten.no/kart?ID=122950</expectedPickupUnitURL>
</Package>
</PackageSet>
<IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>
</Consignment>
</ConsignmentSet>
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ConsignmentSet xmlns="http://www.bring.no/sporing/2.0">
<ApiVersion>2</ApiVersion>
<Consignment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="packageCargoConsignmentType" consignmentId="SHIPMENTNUMBER" previousConsignmentId="">
<TotalWeight unitCode="kg">16.5</TotalWeight>
<TotalVolume unitCode="dm3">45.2</TotalVolume>
<SenderReference/>
<SenderCustomerNumber/>
<SenderCustomerMasterNumber/>
<SenderCustomerType/>
<RecipientCustomerNumber/>
<RecipientCustomerMasterNumber/>
<RecipientCustomerType/>
<PackageSet>
<Package packageId="TESTPACKAGEEDI" previousPackageId="">
<StatusDescription>Norway Post/Bring has received a message from sender that a package is on its way, but has not yet received the package. In case of questions, please contact the sender</StatusDescription>
<Descriptions/>
<ProductName>HOME DELIVERY</ProductName>
<ProductCode>1736</ProductCode>
<ProductLink>http://www.bring.no/english/shortcuts/1736</ProductLink>
<Brand>POSTEN</Brand>
<Weight unitCode="kg">16.5</Weight>
<Length unitCode="cm">41</Length>
<Width unitCode="cm">38</Width>
<Height unitCode="cm">29</Height>
<Volume unitCode="dm3">45.2</Volume>
<EventSet>
<Event xsi:type="packageCargoEventType">
<Description>No shipment has been received yet, only notification of the shipment.</Description>
<Status>PRE_NOTIFIED</Status>
<RecipientSignature>
<Name/>
</RecipientSignature>
<UnitId>904030</UnitId>
<UnitType>BRING</UnitType>
<PostalCode/>
<City/>
<CountryCode/>
<Country/>
<OccuredAtIsoDateTime>2018-05-24T12:44:12.000+02:00</OccuredAtIsoDateTime>
<OccuredAtDisplayDate>24.05.2018</OccuredAtDisplayDate>
<OccuredAtDisplayTime>12.44</OccuredAtDisplayTime>
<ConsignmentEvent>false</ConsignmentEvent>
<Insignificant>false</Insignificant>
</Event>
</EventSet>
<AdditionalServicesSet/>
</Package>
</PackageSet>
<IsPickupNoticeAvailable>false</IsPickupNoticeAvailable>
</Consignment>
</ConsignmentSet>
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ConsignmentSet xmlns="http://www.bring.no/sporing/2.0">
<ApiVersion>2</ApiVersion>
<Consignment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="packageCargoConsignmentType" consignmentId="SHIPMENTNUMBER" previousConsignmentId="">
<TotalWeight unitCode="kg">16.5</TotalWeight>
<TotalVolume unitCode="dm3">45.2</TotalVolume>
<SenderReference/>
<SenderCustomerNumber/>
<SenderCustomerMasterNumber/>
<SenderCustomerType/>
<RecipientCustomerNumber/>
<RecipientCustomerMasterNumber/>
<RecipientCustomerType/>
<PackageSet>
<Package packageId="TESTPACKAGELOADEDFORDELIVERY" previousPackageId="">
[...]
